[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: we cannot use jessie-backports on ubuntu hosts…
Holger Levsen
holger at layer-acht.org
Thu Dec 22 20:12:21 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 51aa6091c320a9669035f2086736ff2ea02109ac
Author: Holger Levsen <holger at layer-acht.org>
Date: Thu Dec 22 21:12:06 2016 +0100
reproducible Debian: we cannot use jessie-backports on ubuntu hosts…
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
update_jdn.sh | 9 ++++++---
1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/update_jdn.sh b/update_jdn.sh
index 5e49130..6b48fa3 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -464,9 +464,12 @@ if [ -f /etc/debian_version ] ; then
fi
$UP2DATE || sudo apt-get update
$UP2DATE || sudo apt-get install $DEBS $MASTERDEBS
- $UP2DATE || sudo apt-get install -t jessie-backports \
- pbuilder lintian || echo "this should only fail on the first install"
- # botch
+ case $HOSTNAME in
+ codethink*) ;;
+ *) $UP2DATE || sudo apt-get install -t jessie-backports \
+ pbuilder lintian || echo "this should only fail on the first install"
+ ;;
+ esac
# we need mock from bpo to build current fedora
if [ "$HOSTNAME" = "profitbricks-build3-amd64" ] || [ "$HOSTNAME" = "profitbricks-build4-amd64" ] || [ "$HOSTNAME" = "jenkins" ] ; then
$UP2DATE || sudo apt-get install -t jessie-backports mock \
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list